## leaflet 1.7.1~dfsg

=== debian/changelog ===
leaflet (1.7.1~dfsg-7) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on uglifyjs.
  * Apply multi-arch hints.
    + node-leaflet: Add :any qualifier for nodejs dependency.

  [ lintian-brush ]
  * Update lintian override info format in d/source/lintian-overrides
    on line 2-3, 6-10.
  * Update standards version to 4.6.2, no changes needed.

  [ Yadd ]
  * Fix rollup configuration for rollup 3 (Closes: #1026688)

 -- Yadd <yadd@debian.org>  Wed, 18 Jan 2023 09:35:16 +0400

leaflet (1.7.1~dfsg-6) unstable; urgency=medium

  * fix eslint check
  * tighten lintian overrides

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 02 Feb 2022 00:02:03 +0100

leaflet (1.7.1~dfsg-5) unstable; urgency=medium

  * call executable terser (not uglifyjs.terser),
    and build-depend on terser (not uglifyjs.terser)
  * update copyright info:
    + use Reference field (not License-Reference);
      tighten lintian overrides
    + update coverage
  * improve use of debhelper compatibility level 13
  * simplify source helper script copyright-check
  * add patch 2001
    to modernize use of NodeJS module rollup-plugin-json;
    unfuzz patch 2002;
    tighten build-dependency on node-rollup-plugin-json

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 07 Nov 2021 21:06:46 +0100

leaflet (1.7.1~dfsg-4) unstable; urgency=medium

  * Team upload
  * Fix autopkgtest

 -- Yadd <yadd@debian.org>  Wed, 27 Oct 2021 12:42:10 +0200

leaflet (1.7.1~dfsg-3) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.

  [ Yadd ]
  * Update standards version to 4.6.0, no changes needed.
  * Change section to javascript
  * Add build dependency to node-js-yaml (Closes: #997724)

 -- Yadd <yadd@debian.org>  Wed, 27 Oct 2021 12:26:01 +0200

leaflet (1.7.1~dfsg-2) unstable; urgency=medium

  [ Debian Janitor ]
  * set Multi-Arch: foreign

  [ Jonas Smedegaard ]
  * use brotli compression suffix .brotli
    (not .br used for language breton)
  * declare compliance with Debian Policy 4.5.1

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 02 Dec 2020 22:11:27 +0100

leaflet (1.7.1~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * copyright:
    + exclude more images with embedded non-free ICC profile
      when repackaging upstream source
    + update coverage
  * drop patches cherry-picked upstream now applied
  * unfuzz patch 1001
  * fix map for browser-optimized esm code
    (wrongly referenced non-esm code since 1.6.0~dfsg-2)
  * check syntax during build;
    build-depend on eslint
  * document omitted build-time checks in TODO file

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 09 Sep 2020 22:49:09 +0200

leaflet (1.6.0~dfsg-3) unstable; urgency=medium

  [ Debian Janitor ]
  * set upstream metadata fields:
    Bug-Database Bug-Submit Repository Repository-Browse

  [ Jonas Smedegaard ]
  * add patches cherry-picked upstream:
    + prefix IE-specific "zoom" CSS property
    + fix error with bind function in esm build
    + fix use passive events when supported
    + fix cleanup setMaxBound listener on map removal
    + fix call closePopup function only when defined
    + fix exception calling LayerGroup/hasLayer()
      with wrong layerId
    + use passive event listeners for touchstart/touchend
    + drop legacy click filter targeted android 4.x
    + fix remove touchstart/touchend listeners
    + fix Microsoft Edge support (pre-Chromium)
    + fix some issues related to wrong Browser.pointer value
    + fix invalid condition in _addPointerStart
    + attach pointer tracker listeners to document
      (not documentElement)
    + avoid blocking canvas events on dragging
    + use passive for DomEvent touchmove
      (not touchend)
    + use fix popup event propagation to popup._container
    + fix tiles flickering when maxNativeZoom === maxZoom
    + support loading video muted
    + fix GridLayer _updateLevels and _removeTilesAtZoom
    + use rollup output.freeze option
      (not Object.freeze hack)
    + fix tooltipAnchor behavior for different directions
    + update FeatureGroup factory method

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 15 Jun 2020 21:33:12 +0200

leaflet (1.6.0~dfsg-2) unstable; urgency=medium

  * add patch 1001 to add module field to package.json
  * symlink ES module in node package
  * compress ES module;
    build-depend on uglifyjs.terser
  * use debhelper compatibility level 12 (not 9);
    build-depend on debhelper-compat (not debhelper)
  * declare compliance with Debian Policy 4.5.0
  * add superficial skip-not-installable eslint autopkgtest

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 13 Jun 2020 11:20:32 +0200

=== debian/control ===
Source: leaflet
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders:
 Andrew Harvey <andrew.harvey4@gmail.com>,
 Jonas Smedegaard <dr@jones.dk>,
Build-Depends:
 brotli,
 debhelper-compat (= 13),
 eslint <!nocheck>,
 node-js-yaml,
 node-rollup-plugin-json (>= 4.1),
 pigz,
 rename,
 rollup,
 sassc,
 uglifyjs,
 terser,
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/js-team/leaflet
Vcs-Git: https://salsa.debian.org/js-team/leaflet.git
Homepage: https://leafletjs.com/
Rules-Requires-Root: no

Package: node-leaflet
Architecture: all
Depends:
 libjs-leaflet,
 nodejs:any,
 ${misc:Depends},
Description: mobile-friendly interactive maps - Node.js library
 Leaflet is a modern JavaScript library for mobile-friendly interactive
 maps.  Weighing just about 27 KB of JS code, it has all the features
 most developers ever need for online maps.
 .
 Leaflet is designed with simplicity, performance and usability in mind.
 It works efficiently across all major desktop and mobile platforms out
 of the box, taking advantage of HTML5 and CSS3 on modern browsers while
 still being accessible on older ones. It can be extended with many
 plugins, has a beautiful, easy to use and well-documented API and a
 simple, readable source code that is a joy to contribute to.
 .
 This package provides Leaflet library usable with Node.js -
 an event-based server-side JavaScript engine.

Package: libjs-leaflet
Architecture: all
Depends:
 ${misc:Depends},
Recommends:
 javascript-common,
Multi-Arch: foreign
Description: mobile-friendly interactive maps - browser library
 Leaflet is a modern JavaScript library for mobile-friendly interactive
 maps.  Weighing just about 27 KB of JS code, it has all the features
 most developers ever need for online maps.
 .
 Leaflet is designed with simplicity, performance and usability in mind.
 It works efficiently across all major desktop and mobile platforms out
 of the box, taking advantage of HTML5 and CSS3 on modern browsers while
 still being accessible on older ones. It can be extended with many
 plugins, has a beautiful, easy to use and well-documented API and a
 simple, readable source code that is a joy to contribute to.
 .
 This package provides Leaflet library directly usable in web browsers.

=== debian/rules ===
#!/usr/bin/make -f

STEM = leaflet

ESLINT = eslint --format tap

# TODO: drop when node-eslint-config-mourner is in Debian
ESLINT += $(strip \
 --no-eslintrc --global L --env commonjs,amd,node \
 --parser-options '{ "ecmaVersion": 2015, "sourceType": "module" }' \
 --rule '{ \
  "linebreak-style": [ 0, "unix" ], \
  "no-mixed-spaces-and-tabs": [ 2, "smart-tabs" ], \
  "indent": [ 2, "tab", { "VariableDeclarator": 0, "flatTernaryExpressions": true } ], \
  "curly": 2, \
  "spaced-comment": 2, \
  "strict": 0, \
  "wrap-iife": 0, \
  "key-spacing": 0, \
  "consistent-return": 0, \
  "no-unused-expressions": [ "error", { "allowShortCircuit": true } ] }')

override_dh_auto_build: \
 debian/js/$(STEM).esm.min.js.gz \
 debian/js/$(STEM).min.js.gz \
 debian/js/$(STEM).css.gz

dist/$(STEM)-src.esm.js \
dist/$(STEM)-src.js:
	NODE_ENV=release rollup --config build/rollup-config.js

override_dh_auto_test:
	$(ESLINT) src spec/suites docs/docs/js

execute_after_dh_install:
	rename 's/-src//' debian/*/usr/share/javascript/leaflet/*.js

# optimize JavaScript for browser use
# * include source-map using upstream intermediary
debian/js/%.esm.min.js: dist/%-src.esm.js
	mkdir --parents debian/js
	terser --compress --mangle \
		--source-map "base='$(abspath $(dir $@))',content='$<.map',url='$(notdir $@).map'" \
		--output $@ \
		-- $<
debian/js/%.min.js: dist/%-src.js
	mkdir --parents debian/js
	uglifyjs --compress --mangle \
		--source-map "base='$(abspath $(dir $@))',content='$<.map',url='$(notdir $@).map'" \
		--output $@ \
		-- $<

# pre-compress for browser use
%.gz: %
	pigz --force --keep -11 -- $<
	brotli --force --keep --best --suffix=.brotli -- $<

# optimize CSS
debian/js/%.css: dist/%.css
	sassc --style compressed --sourcemap \
		-- $< $@

%:
	dh $@

.SECONDARY:

=== debian/tests/control ===
Test-Command: node -e "
 domino = require('domino');
 win = domino.createWindow();
 global.window = win;
 global.document = win.document;
 global.navigator = win.navigator;
 win.screen = { deviceXDPI: 0, logicalXDPI: 0 };
 require('leaflet');
 "
Depends:
 node-domino,
 node-leaflet,
Restrictions: superficial

Test-Command:
 cd /usr/share/javascript &&
 eslint --no-eslintrc --format tap --env browser leaflet/leaflet{,.min}.js
 && cd /usr/share/javascript &&
 eslint --no-eslintrc --format tap --env browser --parser-options '{ "ecmaVersion": 2015, "sourceType": "module" }' leaflet/leaflet.esm{,.min}.js
Depends:
 eslint,
 node-js-yaml,
 libjs-leaflet,
Restrictions: superficial, skip-not-installable

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/,\
dversionmangle=auto,repacksuffix=~dfsg \
https://github.com/Leaflet/Leaflet/tags \
.*?@ANY_VERSION@@ARCHIVE_EXT@

## leaflet 2.0.0

=== DESCRIPTION ===
Package: leaflet
Type: Package
Title: Create Interactive Web Maps with the JavaScript 'Leaflet'
        Library
Version: 2.0.0
Authors@R: c(
      person("Joe", "Cheng", email = "joe@rstudio.com", role = c("aut", "cre")),
      person("Bhaskar", "Karambelkar", role = c("aut")),
      person("Yihui", "Xie", role = c("aut")),
      person("Hadley", "Wickham", role = c("ctb")),
      person("Kenton", "Russell", role = c("ctb")),
      person("Kent", "Johnson", role = c("ctb")),
      person("Barret", "Schloerke", role = c("ctb")),
      person("jQuery Foundation and contributors", role = c("ctb", "cph"), comment = "jQuery library"),
      person("Vladimir", "Agafonkin", role = c("ctb", "cph"), comment = "Leaflet library"),
      person("CloudMade", role = c("cph"), comment = "Leaflet library"),
      person("Leaflet contributors", role = c("ctb"), comment = "Leaflet library"),
      person("Leaflet Providers contributors", role = c("ctb", "cph"), comment = "Leaflet Providers plugin"),
      person("Brandon Copeland", role = c("ctb", "cph"), comment = "leaflet-measure plugin"),
      person("Joerg Dietrich", role = c("ctb", "cph"), comment = "Leaflet.Terminator plugin"),
      person("Benjamin Becquet", role = c("ctb", "cph"), comment = "Leaflet.MagnifyingGlass plugin"),
      person("Norkart AS", role = c("ctb", "cph"), comment = "Leaflet.MiniMap plugin"),
      person("L. Voogdt", role = c("ctb", "cph"), comment = "Leaflet.awesome-markers plugin"),
      person("Daniel Montague", role = c("ctb", "cph"), comment = "Leaflet.EasyButton plugin"),
      person("Kartena AB", role = c("ctb", "cph"), comment = "Proj4Leaflet plugin"),
      person("Robert Kajic", role = c("ctb", "cph"), comment = "leaflet-locationfilter plugin"),
      person("Mapbox", role = c("ctb", "cph"), comment = "leaflet-omnivore plugin"),
      person("Michael Bostock", role = c("ctb", "cph"), comment = "topojson"),
      person("RStudio", role = c("cph"))
    )
Maintainer: Joe Cheng <joe@rstudio.com>
Description: Create and customize interactive maps using the 'Leaflet'
    JavaScript library and the 'htmlwidgets' package. These maps can be used
    directly from the R console, from 'RStudio', in Shiny applications and R Markdown
    documents.
License: GPL-3
URL: http://rstudio.github.io/leaflet/
BugReports: https://github.com/rstudio/leaflet/issues
Depends: R (>= 3.1.0)
Imports: base64enc, crosstalk, htmlwidgets, htmltools, magrittr,
        markdown, methods, png, RColorBrewer, raster, scales (>=
        0.2.5), sp, stats, viridis
Suggests: knitr, maps, sf, shiny, testit (>= 0.4), rgdal, rgeos, R6,
        RJSONIO, purrr, testthat
RoxygenNote: 6.0.1
LazyData: true
NeedsCompilation: no
Packaged: 2018-04-20 17:46:08 UTC; barret
Author: Joe Cheng [aut, cre],
  Bhaskar Karambelkar [aut],
  Yihui Xie [aut],
  Hadley Wickham [ctb],
  Kenton Russell [ctb],
  Kent Johnson [ctb],
  Barret Schloerke [ctb],
  jQuery Foundation and contributors [ctb, cph] (jQuery library),
  Vladimir Agafonkin [ctb, cph] (Leaflet library),
  CloudMade [cph] (Leaflet library),
  Leaflet contributors [ctb] (Leaflet library),
  Leaflet Providers contributors [ctb, cph] (Leaflet Providers plugin),
  Brandon Copeland [ctb, cph] (leaflet-measure plugin),
  Joerg Dietrich [ctb, cph] (Leaflet.Terminator plugin),
  Benjamin Becquet [ctb, cph] (Leaflet.MagnifyingGlass plugin),
  Norkart AS [ctb, cph] (Leaflet.MiniMap plugin),
  L. Voogdt [ctb, cph] (Leaflet.awesome-markers plugin),
  Daniel Montague [ctb, cph] (Leaflet.EasyButton plugin),
  Kartena AB [ctb, cph] (Proj4Leaflet plugin),
  Robert Kajic [ctb, cph] (leaflet-locationfilter plugin),
  Mapbox [ctb, cph] (leaflet-omnivore plugin),
  Michael Bostock [ctb, cph] (topojson),
  RStudio [cph]
Repository: CRAN
Date/Publication: 2018-04-20 23:06:13 UTC

## leaflet 2.0.1

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: Create Interactive Web Maps with the JavaScript 'Leaflet'
         Library
-Version: 2.0.0
+Version: 2.0.1
 Authors@R: c(
       person("Joe", "Cheng", email = "joe@rstudio.com", role = c("aut", "cre")),
       person("Bhaskar", "Karambelkar", role = c("aut")),
@@ -45,7 +45,7 @@
 RoxygenNote: 6.0.1
 LazyData: true
 NeedsCompilation: no
-Packaged: 2018-04-20 17:46:08 UTC; barret
+Packaged: 2018-06-04 19:20:59 UTC; barret
 Author: Joe Cheng [aut, cre],
   Bhaskar Karambelkar [aut],
   Yihui Xie [aut],
@@ -70,4 +70,4 @@
   Michael Bostock [ctb, cph] (topojson),
   RStudio [cph]
 Repository: CRAN
-Date/Publication: 2018-04-20 23:06:13 UTC
+Date/Publication: 2018-06-04 20:43:50 UTC

## leaflet 2.0.2

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: Create Interactive Web Maps with the JavaScript 'Leaflet'
         Library
-Version: 2.0.1
+Version: 2.0.2
 Authors@R: c(
       person("Joe", "Cheng", email = "joe@rstudio.com", role = c("aut", "cre")),
       person("Bhaskar", "Karambelkar", role = c("aut")),
@@ -39,13 +39,14 @@
 Depends: R (>= 3.1.0)
 Imports: base64enc, crosstalk, htmlwidgets, htmltools, magrittr,
         markdown, methods, png, RColorBrewer, raster, scales (>=
-        0.2.5), sp, stats, viridis
+        1.0.0), sp, stats, viridis (>= 0.5.1)
 Suggests: knitr, maps, sf, shiny, testit (>= 0.4), rgdal, rgeos, R6,
         RJSONIO, purrr, testthat
-RoxygenNote: 6.0.1
+RoxygenNote: 6.1.0
+Encoding: UTF-8
 LazyData: true
 NeedsCompilation: no
-Packaged: 2018-06-04 19:20:59 UTC; barret
+Packaged: 2018-08-24 20:03:55 UTC; barret
 Author: Joe Cheng [aut, cre],
   Bhaskar Karambelkar [aut],
   Yihui Xie [aut],
@@ -70,4 +71,4 @@
   Michael Bostock [ctb, cph] (topojson),
   RStudio [cph]
 Repository: CRAN
-Date/Publication: 2018-06-04 20:43:50 UTC
+Date/Publication: 2018-08-27 14:12:16 UTC

## leaflet 2.0.3

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: Create Interactive Web Maps with the JavaScript 'Leaflet'
         Library
-Version: 2.0.2
+Version: 2.0.3
 Authors@R: c(
       person("Joe", "Cheng", email = "joe@rstudio.com", role = c("aut", "cre")),
       person("Bhaskar", "Karambelkar", role = c("aut")),
@@ -15,7 +15,6 @@
       person("Vladimir", "Agafonkin", role = c("ctb", "cph"), comment = "Leaflet library"),
       person("CloudMade", role = c("cph"), comment = "Leaflet library"),
       person("Leaflet contributors", role = c("ctb"), comment = "Leaflet library"),
-      person("Leaflet Providers contributors", role = c("ctb", "cph"), comment = "Leaflet Providers plugin"),
       person("Brandon Copeland", role = c("ctb", "cph"), comment = "leaflet-measure plugin"),
       person("Joerg Dietrich", role = c("ctb", "cph"), comment = "Leaflet.Terminator plugin"),
       person("Benjamin Becquet", role = c("ctb", "cph"), comment = "Leaflet.MagnifyingGlass plugin"),
@@ -28,7 +27,6 @@
       person("Michael Bostock", role = c("ctb", "cph"), comment = "topojson"),
       person("RStudio", role = c("cph"))
     )
-Maintainer: Joe Cheng <joe@rstudio.com>
 Description: Create and customize interactive maps using the 'Leaflet'
     JavaScript library and the 'htmlwidgets' package. These maps can be used
     directly from the R console, from 'RStudio', in Shiny applications and R Markdown
@@ -39,14 +37,15 @@
 Depends: R (>= 3.1.0)
 Imports: base64enc, crosstalk, htmlwidgets, htmltools, magrittr,
         markdown, methods, png, RColorBrewer, raster, scales (>=
-        1.0.0), sp, stats, viridis (>= 0.5.1)
-Suggests: knitr, maps, sf, shiny, testit (>= 0.4), rgdal, rgeos, R6,
-        RJSONIO, purrr, testthat
-RoxygenNote: 6.1.0
+        1.0.0), sp, stats, viridis (>= 0.5.1), leaflet.providers (>=
+        1.8.0)
+Suggests: knitr, maps, sf, shiny, rgdal, rgeos, R6, RJSONIO, purrr,
+        testthat
+RoxygenNote: 6.1.1
 Encoding: UTF-8
 LazyData: true
 NeedsCompilation: no
-Packaged: 2018-08-24 20:03:55 UTC; barret
+Packaged: 2019-11-14 18:00:03 UTC; barret
 Author: Joe Cheng [aut, cre],
   Bhaskar Karambelkar [aut],
   Yihui Xie [aut],
@@ -58,7 +57,6 @@
   Vladimir Agafonkin [ctb, cph] (Leaflet library),
   CloudMade [cph] (Leaflet library),
   Leaflet contributors [ctb] (Leaflet library),
-  Leaflet Providers contributors [ctb, cph] (Leaflet Providers plugin),
   Brandon Copeland [ctb, cph] (leaflet-measure plugin),
   Joerg Dietrich [ctb, cph] (Leaflet.Terminator plugin),
   Benjamin Becquet [ctb, cph] (Leaflet.MagnifyingGlass plugin),
@@ -70,5 +68,6 @@
   Mapbox [ctb, cph] (leaflet-omnivore plugin),
   Michael Bostock [ctb, cph] (topojson),
   RStudio [cph]
+Maintainer: Joe Cheng <joe@rstudio.com>
 Repository: CRAN
-Date/Publication: 2018-08-27 14:12:16 UTC
+Date/Publication: 2019-11-16 05:50:05 UTC

## leaflet 2.0.4.1

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: Create Interactive Web Maps with the JavaScript 'Leaflet'
         Library
-Version: 2.0.3
+Version: 2.0.4.1
 Authors@R: c(
       person("Joe", "Cheng", email = "joe@rstudio.com", role = c("aut", "cre")),
       person("Bhaskar", "Karambelkar", role = c("aut")),
@@ -32,20 +32,20 @@
     directly from the R console, from 'RStudio', in Shiny applications and R Markdown
     documents.
 License: GPL-3
-URL: http://rstudio.github.io/leaflet/
+URL: https://rstudio.github.io/leaflet/
 BugReports: https://github.com/rstudio/leaflet/issues
 Depends: R (>= 3.1.0)
 Imports: base64enc, crosstalk, htmlwidgets, htmltools, magrittr,
         markdown, methods, png, RColorBrewer, raster, scales (>=
         1.0.0), sp, stats, viridis (>= 0.5.1), leaflet.providers (>=
         1.8.0)
-Suggests: knitr, maps, sf, shiny, rgdal, rgeos, R6, RJSONIO, purrr,
-        testthat
-RoxygenNote: 6.1.1
+Suggests: knitr, maps, sf (>= 0.9-6), shiny, rgdal, rgeos, R6, RJSONIO,
+        purrr, testthat
+RoxygenNote: 7.1.1
 Encoding: UTF-8
 LazyData: true
 NeedsCompilation: no
-Packaged: 2019-11-14 18:00:03 UTC; barret
+Packaged: 2021-01-06 17:49:50 UTC; jcheng
 Author: Joe Cheng [aut, cre],
   Bhaskar Karambelkar [aut],
   Yihui Xie [aut],
@@ -70,4 +70,4 @@
   RStudio [cph]
 Maintainer: Joe Cheng <joe@rstudio.com>
 Repository: CRAN
-Date/Publication: 2019-11-16 05:50:05 UTC
+Date/Publication: 2021-01-07 07:00:26 UTC

## leaflet 2.1.0

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: Create Interactive Web Maps with the JavaScript 'Leaflet'
         Library
-Version: 2.0.4.1
+Version: 2.1.0
 Authors@R: c(
       person("Joe", "Cheng", email = "joe@rstudio.com", role = c("aut", "cre")),
       person("Bhaskar", "Karambelkar", role = c("aut")),
@@ -35,17 +35,17 @@
 URL: https://rstudio.github.io/leaflet/
 BugReports: https://github.com/rstudio/leaflet/issues
 Depends: R (>= 3.1.0)
-Imports: base64enc, crosstalk, htmlwidgets, htmltools, magrittr,
-        markdown, methods, png, RColorBrewer, raster, scales (>=
-        1.0.0), sp, stats, viridis (>= 0.5.1), leaflet.providers (>=
-        1.8.0)
+Imports: base64enc, crosstalk, htmlwidgets (>= 1.5.4), htmltools,
+        magrittr, markdown, methods, png, RColorBrewer, raster, scales
+        (>= 1.0.0), sp, stats, viridis (>= 0.5.1), leaflet.providers
+        (>= 1.8.0)
 Suggests: knitr, maps, sf (>= 0.9-6), shiny, rgdal, rgeos, R6, RJSONIO,
-        purrr, testthat
-RoxygenNote: 7.1.1
+        purrr, testthat (>= 3.0.0), s2
+RoxygenNote: 7.1.2
 Encoding: UTF-8
 LazyData: true
 NeedsCompilation: no
-Packaged: 2021-01-06 17:49:50 UTC; jcheng
+Packaged: 2022-02-15 22:31:30 UTC; jcheng
 Author: Joe Cheng [aut, cre],
   Bhaskar Karambelkar [aut],
   Yihui Xie [aut],
@@ -70,4 +70,4 @@
   RStudio [cph]
 Maintainer: Joe Cheng <joe@rstudio.com>
 Repository: CRAN
-Date/Publication: 2021-01-07 07:00:26 UTC
+Date/Publication: 2022-02-16 10:30:02 UTC

## leaflet 2.1.1

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: Create Interactive Web Maps with the JavaScript 'Leaflet'
         Library
-Version: 2.1.0
+Version: 2.1.1
 Authors@R: c(
       person("Joe", "Cheng", email = "joe@rstudio.com", role = c("aut", "cre")),
       person("Bhaskar", "Karambelkar", role = c("aut")),
@@ -45,7 +45,7 @@
 Encoding: UTF-8
 LazyData: true
 NeedsCompilation: no
-Packaged: 2022-02-15 22:31:30 UTC; jcheng
+Packaged: 2022-03-23 03:08:42 UTC; jcheng
 Author: Joe Cheng [aut, cre],
   Bhaskar Karambelkar [aut],
   Yihui Xie [aut],
@@ -70,4 +70,4 @@
   RStudio [cph]
 Maintainer: Joe Cheng <joe@rstudio.com>
 Repository: CRAN
-Date/Publication: 2022-02-16 10:30:02 UTC
+Date/Publication: 2022-03-23 23:40:02 UTC

## leaflet 2.1.2

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: Create Interactive Web Maps with the JavaScript 'Leaflet'
         Library
-Version: 2.1.1
+Version: 2.1.2
 Authors@R: c(
       person("Joe", "Cheng", email = "joe@rstudio.com", role = c("aut", "cre")),
       person("Bhaskar", "Karambelkar", role = c("aut")),
@@ -41,11 +41,11 @@
         (>= 1.8.0)
 Suggests: knitr, maps, sf (>= 0.9-6), shiny, rgdal, rgeos, R6, RJSONIO,
         purrr, testthat (>= 3.0.0), s2
-RoxygenNote: 7.1.2
+RoxygenNote: 7.2.3
 Encoding: UTF-8
 LazyData: true
 NeedsCompilation: no
-Packaged: 2022-03-23 03:08:42 UTC; jcheng
+Packaged: 2023-03-10 15:20:21 UTC; barret
 Author: Joe Cheng [aut, cre],
   Bhaskar Karambelkar [aut],
   Yihui Xie [aut],
@@ -70,4 +70,4 @@
   RStudio [cph]
 Maintainer: Joe Cheng <joe@rstudio.com>
 Repository: CRAN
-Date/Publication: 2022-03-23 23:40:02 UTC
+Date/Publication: 2023-03-10 19:10:06 UTC

## leaflet 2.2.0

=== DESCRIPTION ===
Type: Package
Package: leaflet
Title: Create Interactive Web Maps with the JavaScript 'Leaflet'
        Library
Version: 2.2.0
Authors@R: c(
    person("Joe", "Cheng", , "joe@posit.co", role = c("aut", "cre")),
    person("Barret", "Schloerke", , "barret@posit.co", role = "aut",
           comment = c(ORCID = "0000-0001-9986-114X")),
    person("Bhaskar", "Karambelkar", role = "aut"),
    person("Yihui", "Xie", role = "aut"),
    person("Hadley", "Wickham", role = "ctb"),
    person("Kenton", "Russell", role = "ctb"),
    person("Kent", "Johnson", role = "ctb"),
    person("Vladimir", "Agafonkin", role = c("ctb", "cph"),
           comment = "Leaflet library"),
    person("CloudMade", role = "cph",
           comment = "Leaflet library"),
    person("Leaflet contributors", role = "ctb",
           comment = "Leaflet library"),
    person("Brandon Copeland", role = c("ctb", "cph"),
           comment = "leaflet-measure plugin"),
    person("Joerg Dietrich", role = c("ctb", "cph"),
           comment = "Leaflet.Terminator plugin"),
    person("Benjamin Becquet", role = c("ctb", "cph"),
           comment = "Leaflet.MagnifyingGlass plugin"),
    person("Norkart AS", role = c("ctb", "cph"),
           comment = "Leaflet.MiniMap plugin"),
    person("L. Voogdt", role = c("ctb", "cph"),
           comment = "Leaflet.awesome-markers plugin"),
    person("Daniel Montague", role = c("ctb", "cph"),
           comment = "Leaflet.EasyButton plugin"),
    person("Kartena AB", role = c("ctb", "cph"),
           comment = "Proj4Leaflet plugin"),
    person("Robert Kajic", role = c("ctb", "cph"),
           comment = "leaflet-locationfilter plugin"),
    person("Mapbox", role = c("ctb", "cph"),
           comment = "leaflet-omnivore plugin"),
    person("Michael Bostock", role = c("ctb", "cph"),
           comment = "topojson"),
    person("Posit Software, PBC", role = c("cph", "fnd"))
  )
Description: Create and customize interactive maps using the 'Leaflet'
    JavaScript library and the 'htmlwidgets' package. These maps can be
    used directly from the R console, from 'RStudio', in Shiny
    applications and R Markdown documents.
License: GPL-3
URL: https://rstudio.github.io/leaflet/,
        https://github.com/rstudio/leaflet
BugReports: https://github.com/rstudio/leaflet/issues
Depends: R (>= 3.1.0)
Imports: crosstalk, htmltools, htmlwidgets (>= 1.5.4), jquerylib,
        leaflet.providers (>= 1.8.0), magrittr, methods, png, raster
        (>= 3.6.3), RColorBrewer, scales (>= 1.0.0), sp, stats, viridis
        (>= 0.5.1), xfun
Suggests: knitr, maps, purrr, R6, RJSONIO, s2, sf (>= 0.9-6), shiny,
        terra, testthat (>= 3.0.0)
Config/testthat/edition: 3
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.2.3
NeedsCompilation: no
Packaged: 2023-08-30 20:51:10 UTC; garrick
Author: Joe Cheng [aut, cre],
  Barret Schloerke [aut] (<https://orcid.org/0000-0001-9986-114X>),
  Bhaskar Karambelkar [aut],
  Yihui Xie [aut],
  Hadley Wickham [ctb],
  Kenton Russell [ctb],
  Kent Johnson [ctb],
  Vladimir Agafonkin [ctb, cph] (Leaflet library),
  CloudMade [cph] (Leaflet library),
  Leaflet contributors [ctb] (Leaflet library),
  Brandon Copeland [ctb, cph] (leaflet-measure plugin),
  Joerg Dietrich [ctb, cph] (Leaflet.Terminator plugin),
  Benjamin Becquet [ctb, cph] (Leaflet.MagnifyingGlass plugin),
  Norkart AS [ctb, cph] (Leaflet.MiniMap plugin),
  L. Voogdt [ctb, cph] (Leaflet.awesome-markers plugin),
  Daniel Montague [ctb, cph] (Leaflet.EasyButton plugin),
  Kartena AB [ctb, cph] (Proj4Leaflet plugin),
  Robert Kajic [ctb, cph] (leaflet-locationfilter plugin),
  Mapbox [ctb, cph] (leaflet-omnivore plugin),
  Michael Bostock [ctb, cph] (topojson),
  Posit Software, PBC [cph, fnd]
Maintainer: Joe Cheng <joe@posit.co>
Repository: CRAN
Date/Publication: 2023-08-31 07:30:06 UTC

## leaflet 2.2.1

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Package: leaflet
 Title: Create Interactive Web Maps with the JavaScript 'Leaflet'
         Library
-Version: 2.2.0
+Version: 2.2.1
 Authors@R: c(
     person("Joe", "Cheng", , "joe@posit.co", role = c("aut", "cre")),
     person("Barret", "Schloerke", , "barret@posit.co", role = "aut",
@@ -50,7 +50,7 @@
 BugReports: https://github.com/rstudio/leaflet/issues
 Depends: R (>= 3.1.0)
 Imports: crosstalk, htmltools, htmlwidgets (>= 1.5.4), jquerylib,
-        leaflet.providers (>= 1.8.0), magrittr, methods, png, raster
+        leaflet.providers (>= 2.0.0), magrittr, methods, png, raster
         (>= 3.6.3), RColorBrewer, scales (>= 1.0.0), sp, stats, viridis
         (>= 0.5.1), xfun
 Suggests: knitr, maps, purrr, R6, RJSONIO, s2, sf (>= 0.9-6), shiny,
@@ -60,7 +60,7 @@
 LazyData: true
 RoxygenNote: 7.2.3
 NeedsCompilation: no
-Packaged: 2023-08-30 20:51:10 UTC; garrick
+Packaged: 2023-11-13 16:37:47 UTC; garrick
 Author: Joe Cheng [aut, cre],
   Barret Schloerke [aut] (<https://orcid.org/0000-0001-9986-114X>),
   Bhaskar Karambelkar [aut],
@@ -84,4 +84,4 @@
   Posit Software, PBC [cph, fnd]
 Maintainer: Joe Cheng <joe@posit.co>
 Repository: CRAN
-Date/Publication: 2023-08-31 07:30:06 UTC
+Date/Publication: 2023-11-13 21:43:18 UTC

## leaflet 2.2.2

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Package: leaflet
 Title: Create Interactive Web Maps with the JavaScript 'Leaflet'
         Library
-Version: 2.2.1
+Version: 2.2.2
 Authors@R: c(
     person("Joe", "Cheng", , "joe@posit.co", role = c("aut", "cre")),
     person("Barret", "Schloerke", , "barret@posit.co", role = "aut",
@@ -51,16 +51,17 @@
 Depends: R (>= 3.1.0)
 Imports: crosstalk, htmltools, htmlwidgets (>= 1.5.4), jquerylib,
         leaflet.providers (>= 2.0.0), magrittr, methods, png, raster
-        (>= 3.6.3), RColorBrewer, scales (>= 1.0.0), sp, stats, viridis
-        (>= 0.5.1), xfun
-Suggests: knitr, maps, purrr, R6, RJSONIO, s2, sf (>= 0.9-6), shiny,
-        terra, testthat (>= 3.0.0)
+        (>= 3.6.3), RColorBrewer, scales (>= 1.0.0), sp, stats,
+        viridisLite, xfun
+Suggests: knitr, maps, purrr, R6, RJSONIO, rmarkdown, s2, sf (>=
+        0.9-6), shiny, terra, testthat (>= 3.0.0)
 Config/testthat/edition: 3
+Config/Needs/website: dplyr, geojsonio, ncdf4, tidyverse/tidytemplate
 Encoding: UTF-8
 LazyData: true
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.1
 NeedsCompilation: no
-Packaged: 2023-11-13 16:37:47 UTC; garrick
+Packaged: 2024-03-25 22:40:52 UTC; cpsievert
 Author: Joe Cheng [aut, cre],
   Barret Schloerke [aut] (<https://orcid.org/0000-0001-9986-114X>),
   Bhaskar Karambelkar [aut],
@@ -84,4 +85,4 @@
   Posit Software, PBC [cph, fnd]
 Maintainer: Joe Cheng <joe@posit.co>
 Repository: CRAN
-Date/Publication: 2023-11-13 21:43:18 UTC
+Date/Publication: 2024-03-26 19:10:06 UTC

## leaflet 2.2.3

=== DESCRIPTION ===
--- 
+++ 
@@ -2,13 +2,15 @@
 Package: leaflet
 Title: Create Interactive Web Maps with the JavaScript 'Leaflet'
         Library
-Version: 2.2.2
+Version: 2.2.3
 Authors@R: c(
-    person("Joe", "Cheng", , "joe@posit.co", role = c("aut", "cre")),
+    person("Joe", "Cheng", , "joe@posit.co", role = "aut"),
     person("Barret", "Schloerke", , "barret@posit.co", role = "aut",
            comment = c(ORCID = "0000-0001-9986-114X")),
     person("Bhaskar", "Karambelkar", role = "aut"),
     person("Yihui", "Xie", role = "aut"),
+    person("Garrick", "Aden-Buie", , "garrick@posit.co", role = c("aut", "cre"),
+           comment = c(ORCID = "0000-0002-7111-0077")),
     person("Hadley", "Wickham", role = "ctb"),
     person("Kenton", "Russell", role = "ctb"),
     person("Kent", "Johnson", role = "ctb"),
@@ -44,28 +46,31 @@
     JavaScript library and the 'htmlwidgets' package. These maps can be
     used directly from the R console, from 'RStudio', in Shiny
     applications and R Markdown documents.
-License: GPL-3
+License: MIT + file LICENSE
 URL: https://rstudio.github.io/leaflet/,
         https://github.com/rstudio/leaflet
 BugReports: https://github.com/rstudio/leaflet/issues
-Depends: R (>= 3.1.0)
+Depends: R (>= 3.5)
 Imports: crosstalk, htmltools, htmlwidgets (>= 1.5.4), jquerylib,
         leaflet.providers (>= 2.0.0), magrittr, methods, png, raster
-        (>= 3.6.3), RColorBrewer, scales (>= 1.0.0), sp, stats,
-        viridisLite, xfun
-Suggests: knitr, maps, purrr, R6, RJSONIO, rmarkdown, s2, sf (>=
-        0.9-6), shiny, terra, testthat (>= 3.0.0)
+        (>= 3.6.3), RColorBrewer, rlang, scales (>= 1.0.0), sf (>=
+        0.9-6), stats, viridisLite, xfun
+Suggests: knitr, maps, purrr, R6, RJSONIO, rmarkdown, s2, shiny (>=
+        1.0.0), sp, terra, testthat (>= 3.0.0)
+Config/Needs/website: dplyr, ncdf4, rnaturalearth,
+        tidyverse/tidytemplate
 Config/testthat/edition: 3
-Config/Needs/website: dplyr, geojsonio, ncdf4, tidyverse/tidytemplate
 Encoding: UTF-8
 LazyData: true
-RoxygenNote: 7.3.1
+RoxygenNote: 7.3.2
 NeedsCompilation: no
-Packaged: 2024-03-25 22:40:52 UTC; cpsievert
-Author: Joe Cheng [aut, cre],
-  Barret Schloerke [aut] (<https://orcid.org/0000-0001-9986-114X>),
+Packaged: 2025-09-02 15:28:47 UTC; garrick
+Author: Joe Cheng [aut],
+  Barret Schloerke [aut] (ORCID: <https://orcid.org/0000-0001-9986-114X>),
   Bhaskar Karambelkar [aut],
   Yihui Xie [aut],
+  Garrick Aden-Buie [aut, cre] (ORCID:
+    <https://orcid.org/0000-0002-7111-0077>),
   Hadley Wickham [ctb],
   Kenton Russell [ctb],
   Kent Johnson [ctb],
@@ -83,6 +88,6 @@
   Mapbox [ctb, cph] (leaflet-omnivore plugin),
   Michael Bostock [ctb, cph] (topojson),
   Posit Software, PBC [cph, fnd]
-Maintainer: Joe Cheng <joe@posit.co>
+Maintainer: Garrick Aden-Buie <garrick@posit.co>
 Repository: CRAN
-Date/Publication: 2024-03-26 19:10:06 UTC
+Date/Publication: 2025-09-04 07:40:02 UTC
